<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('log_hasil_kecemasan', function (Blueprint $table) {
            $table->uuid('id_log_kecemasan')->primary();
            $table->uuid('id_booking');
            $table->uuid('id_test_sessions');
            $table->char('start_timestamp', 20);
            $table->char('end_timestamp', 20);
            $table->char('difference_timestamp', 20);
            $table->char('screen_width', 10);
            $table->char('screen_height', 10);
            $table->integer('answered_count');
            $table->integer('not_answered_count');
            $table->integer('total_question');
            $table->integer('skor_kecemasan');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('log_hasil_kecemasan');
    }
};
